package Algorithmus;

import java.util.*;

public class WordCount {

	public static void main(String[] args) {

//		String[] arr = { "hallo welt", "hallo omar", "hallo obai" };
//		Map<String,Integer> speicher = new HashMap<>();
//		for (int i = 0; i < arr.length; i++) {
//			String[] wörter = arr[i].split(" ");
//			
//			for (int j = 0 ; j < wörter.length; j++) {
//				if (!speicher.containsKey(wörter[j])) {
//					speicher.put(wörter[j], 1);
//				}
//				else
//	                speicher.put(wörter[j], speicher.get(wörter[j]) + 1); // Nur für dieses Wort erhöhen
//
//				
//			}
//			
//		}
//		
//		speicher.forEach((i,j) -> System.out.println(i + " " + j));
		
		
		int[] zahlen = {5, 10, 15, 20, 25, 30, 35, 4};
		Map<Boolean,List<Integer>> speicher = new HashMap<>();
		
		speicher.put(true, new ArrayList<>());
		speicher.put(false, new ArrayList<>());
		
		for (int i = 0; i < zahlen.length; i++) {
			boolean merker = zahlen[i] % 2 == 0;
			speicher.get(merker).add(zahlen[i]);
				
		}
		
		System.out.println(speicher.toString());
	}
}


